Subject: bug#60464: 29.0.60; Regression - pcomplete-arg fails with argument 'last

From: Jim Porter <[email-masked]>
Date: Tue, 3 Jan 2023 21:51:48 -0800

On 1/1/2023 8:59 AM, Gregory Heytings wrote:
> Jim, can you also try the patch and report if you see regressions?

Thanks. I tried this out for a bit, and I haven't been able to break it 
yet (although I didn't notice the issue that spawned this bug# the last 
time either, so it's possible I'm missing some problem this time around, 
too).

I think it would be super-useful to collect some of these test cases for 
Pcomplete-in-Eshell and write ERT tests for them. Then we can be more 
confident that future changes to Pcomplete won't regress Eshell. I'll 
look into doing that in the next week or two.